uart.setup(2, 57600, 8, uart.PARITY_NONE, uart.STOPBITS_1, {tx = 17, rx = 16})
uart.start(2)
local parcecom

---[[
local parcedtbl = {}

function parcecom (packet) 
    print('packet', packet)
    parcedtbl = {}
    local str = ''
    local lt = ''
    for i = 1, #packet do
    	lt = string.sub(packet, i,i)
    	if lt ~= ';' then
    		str = str..lt
    	else
			parcedtbl[#parcedtbl + 1] = str
			str = ''
		end
		if i == #packet then
			if str ~='' then
				parcedtbl[#parcedtbl + 1] = str
			end
			str = ''
			table.foreach(parcedtbl, print)
    	end	
    end

end
--]]

local gotuart = ''
local OD = false

function clearUART()
	gotuart = ''
	OD = false
end

uart.on(2,"data",1,
    function(data)
        if data == string.char(0x0D) then 
			OD = true
			return 	
        end
        if OD == true and data == string.char(0x0A) then 
			parcecom(gotuart)
			clearUART()
			return
		else
			OD = false
        end
        gotuart = gotuart..data
end, 0)

function wrUART(str)
	if type(str) == 'string' then
		uart.write(2, str..string.char(0x0D)..string.char(0x0A))
	else
		print('No string to write')
	end
end